TencentNavKit

Protected Member Functions | Properties | List of all members
TNKRouteTrafficItem Class Reference

路线路况分段数据类 More...

`#import <TNKRouteTrafficItem.h>`

Inheritance diagram for TNKRouteTrafficItem:

## Protected Member Functions
(UIColor *) | - TNKRouteTrafficStatusColor
| 获取导航SDK默认路况颜色 More...
(UIColor *) | - TNKRouteTrafficStatusBorderColor
| 获取导航SDK默认路况描边颜色 More...
(UIColor *) | - TNKAccompanyRouteTrafficStatusColor
| 获取导航SDK伴随路线默认路况颜色 More...
(UIColor *) | - TNKAccompanyRouteTrafficStatusBorderColor
| 获取导航SDK伴随路线默认路况描边颜色 More...

## Properties
int | distance
| 该段路线距离。单位：米 More...
int | from
| 该段路线起点在路线点串中的索引. 索引值从0开始, 若该段为偏航前行驶部分, 则索引值为-1. 绘制导航路况线时请将第一段剔除. More...
int | to
| 该段路线终点在路线点串中的索引. 若该段为偏航前行驶部分, 则索引值为0. More...
TNKRouteTrafficDataStatus | trafficStatus
| 该段路况状态 0:通畅 1:缓行 2:堵塞 3:未知路况 4:严重堵塞. More...

## Detailed Description

路线路况分段数据类

## Method Documentation

## ◆ TNKAccompanyRouteTrafficStatusBorderColor

- (UIColor *) TNKAccompanyRouteTrafficStatusBorderColor |  | (TNKRouteTrafficDataStatus) | trafficDataStatus |

获取导航SDK伴随路线默认路况描边颜色

## ◆ TNKAccompanyRouteTrafficStatusColor

- (UIColor *) TNKAccompanyRouteTrafficStatusColor |  | (TNKRouteTrafficDataStatus) | trafficDataStatus |

获取导航SDK伴随路线默认路况颜色

## ◆ TNKRouteTrafficStatusBorderColor

- (UIColor *) TNKRouteTrafficStatusBorderColor |  | (TNKRouteTrafficDataStatus) | trafficDataStatus |

获取导航SDK默认路况描边颜色

## ◆ TNKRouteTrafficStatusColor

- (UIColor *) TNKRouteTrafficStatusColor |  | (TNKRouteTrafficDataStatus) | trafficDataStatus |

获取导航SDK默认路况颜色

## Property Documentation

## ◆ distance

- (int) distance
| readnonatomicassign

该段路线距离。单位：米

## ◆ from

- (int) from
| readnonatomicassign

该段路线起点在路线点串中的索引. 索引值从0开始, 若该段为偏航前行驶部分, 则索引值为-1. 绘制导航路况线时请将第一段剔除.

## ◆ to

- (int) to
| readnonatomicassign

该段路线终点在路线点串中的索引. 若该段为偏航前行驶部分, 则索引值为0.

## ◆ trafficStatus

- (TNKRouteTrafficDataStatus) trafficStatus
| readnonatomicassign

该段路况状态 0:通畅 1:缓行 2:堵塞 3:未知路况 4:严重堵塞.

The documentation for this class was generated from the following file:

- TNKRouteTrafficItem.h